// Header File
// Created 8/7/2010; 10:33:08 PM

// Declare the tokenInfo and tokenFile structures
// Then, any file that needs to use these structures can just include this

//Token info structure
typedef struct 
{
    size_t chars; 								// How many chars are in the string making up the token
    int twoByteToken; 						// Whether or not the token is two bytes (0 or 1)
    unsigned char hex[2]; 				// The two bytes making up the token, or only hex[0] if it's a one-byte token
    char name[14];								// The name of the token (never more than 14 chars!)
} tokenInfo;

//Token file structure
typedef struct
{
	int numtokens;									// The number of tokens
	char type[3];										// The type of file to produce
} tokenFile;